Package org.eclipse.emf.cdo.common

## Interface CDOCommonRepository.StateChangedEvent

- All Superinterfaces:
    `org.eclipse.net4j.util.event.IEvent`
  All Known Implementing Classes:
    `RepositoryStateChangedEvent`
  Enclosing interface:
    CDOCommonRepository

      public static interface CDOCommonRepository.StateChangedEvent
      extends org.eclipse.net4j.util.event.IEvent

  An `event` fired when the `state` of a CDO repository has changed.
  Author:
    Eike Stepper
  No Implement
    This interface is not intended to be implemented by clients.
  No Extend
    This interface is not intended to be extended by clients.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `CDOCommonRepository.State` | `getNewState()` |
    `CDOCommonRepository.State` | `getOldState()` |

    - ### Methods inherited from interface org.eclipse.net4j.util.event.IEvent

      `getSource`

- - ### Method Detail

    - #### getOldState

          CDOCommonRepository.State getOldState()

    - #### getNewState

          CDOCommonRepository.State getNewState()